if (Meteor.isServer) {
  Meteor.startup(function() {
    // code to run on server at startup
    SyncedCron.start();
  });


  // Global API configuration
  var Api = new Restivus({
    useDefaultAuth: true,
    prettyJson: true
  });

  Api.addRoute('sensorData', {
    authRequired: false
  }, {
    post: function() {
      SensorData.insert({
        temperatureValue: parseFloat(this.bodyParams.temperatureValue),
        humidityValue: parseFloat(this.bodyParams.humidityValue),
        tankLevel0: this.bodyParams.tankLevel0,
        tankLevel1: this.bodyParams.tankLevel1,
        tankLevel2: this.bodyParams.tankLevel2,
        tankLevel3: this.bodyParams.tankLevel3,
        tankLevel4: this.bodyParams.tankLevel4,
	      tankFull: this.bodyParams.tankFull,
        startPumpingAt: this.bodyParams.startPumpingAt,
        stopPumpingAt: this.bodyParams.stopPumpingAt,
        owner: this.bodyParams.owner,
        created_at: new Date()
      });
      return [];
    }
  });


}
